<%@ EnableSessionState=False %>
<%
    
    '****************************************************************
    '*  
    '*  # PROGRAM TITLE : ECUM Version 0.0.2b (EgoCube, User Manager by WEB)
    '*  
    '*  # PROGRAM CONT. :  
    '*  
    '*  # FILE NAME     : dlg_userinfo.asp
    '*  
    '*  # MODIFICATIONS : 
    '*      1. 2002/12/03   ۿ  α׷ ó ۼ
    '*      2. 2003/10/01   ۿ  α׷  
    '*  
    '****************************************************************
    
    Option Explicit
    
    Response.AddHeader "Pragma", "No-Cache"
    Response.Expires = 0
    Response.CacheControl = "Private"
    
    Response.Buffer = True
    Response.Clear
    
%>

    <!--#include file="lib/asp/ecum_enum.asp"-->
    <!--#include file="lib/asp/ecum_login.asp"-->
        
<%
    
    '****************************************************************
    '*  
    '****************************************************************
    
    Dim oADsUser                '**  ADSI ü 
    
    Dim reqName
    Dim reqClass
    
    Dim strName
    Dim strFullName
    Dim strDescription
    Dim strADsPath
    
    Dim IsMustChangePWD
    Dim IsCnntChangePWD
    Dim IsPWDNvrExpired
    Dim IsAccntDisabled
    Dim IsAccntLockedOut
    
    
    '****************************************************************
    '* Request ó
    '****************************************************************
    
    reqName  = Trim(Request("strName"))
    reqClass = Trim(Request("strClass"))
    
    
    '****************************************************************
    '* õ  ADSI ü ´.
    '****************************************************************
    
    Set oADsUser = GetObject("WinNT://" & ECUM_COMPUTER & "/" & reqName & "," & reqClass)
    
    With oADsUser
        '**  
        strName        = .Name
        strFullName    = .FullName
        strDescription = .Description
        strADsPath     = .ADsPath
        
        '** ΰ 
        If CInt(.PasswordExpired) = 1 Then
            IsMustChangePWD = True
        Else 
            IsMustChangePWD = False
        End If
        
        If (.UserFlags AND ADS_UF_PASSWD_CANT_CHANGE) = ADS_UF_PASSWD_CANT_CHANGE Then
            IsCnntChangePWD = True
        Else 
            IsCnntChangePWD = False
        End If
        
        If (.UserFlags AND ADS_UF_DONT_EXPIRE_PASSWD) = ADS_UF_DONT_EXPIRE_PASSWD Then
            IsPWDNvrExpired = True
        Else 
            IsPWDNvrExpired = False
        End If
        
        IsAccntDisabled  = .AccountDisabled
        IsAccntLockedOut = .IsAccountLocked
    End With
    
    Set oADsUser = Nothing
    
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>

    <title>User Properties</title>
    <link rel="STYLESHEET" type="text/css" href="lib/css/common.css">
    <meta http-equiv="Content-type" content="text/html; charset=euc-kr">
    
    <script language="JavaScript" type="text/javascript">
    <!--
    var doc = document.all;
    
    window.returnValue = "";
    
    
    //***************************************************************
    //* setMustChangePWD() Լ : 
    //* User must change password at next logon ׸   ʿ
    //*  ֺ Ѵ.
    //***************************************************************
    
    function setMustChangePWD() {
    
        if (doc.CB_MustChangePWD.checked == true) {
            doc.CB_CnntChangePWD.disabled = true;
            doc.CB_PWDNvrExpired.disabled = true;
        } else {
            doc.CB_CnntChangePWD.disabled = false;
            doc.CB_PWDNvrExpired.disabled = false;
        }

    }
    
    
    //***************************************************************
    //* setCnntChangePWD() Լ : User cannot change password ׸ 
    //*   ʿ ֺ Ѵ.
    //***************************************************************
    
    function setCnntChangePWD() {
    
        if (doc.CB_CnntChangePWD.checked == true) {
            doc.CB_MustChangePWD.disabled = true;
        } else {
            if (doc.CB_PWDNvrExpired.checked == true)
                doc.CB_MustChangePWD.disabled = true;
            else
                doc.CB_MustChangePWD.disabled = false;
        }

    }
    
    
    //***************************************************************
    //* setPWDNvrExpired() Լ : Password never expires ׸  
    //*  ʿ ֺ Ѵ.
    //***************************************************************
    
    function setPWDNvrExpired() {
    
        if (doc.CB_PWDNvrExpired.checked == true) {
            doc.CB_MustChangePWD.disabled = true;
        } else {
            if (doc.CB_CnntChangePWD.checked == true)
                doc.CB_MustChangePWD.disabled = true;
            else
                doc.CB_MustChangePWD.disabled = false;
        }
        
    }
    
    
    //***************************************************************
    //* checkDlg() Լ : ̾α ڽ    ׸񰪵
    //* üũϰ      Ѵ.
    //***************************************************************
    
    function checkDlg(sType) {
    
        if (sType == "Y") {
            window.returnValue = doc.strFullName.value + "|"
                               + doc.strDescription.value + "|"
                               + doc.CB_MustChangePWD.checked + "|"
                               + doc.CB_CnntChangePWD.checked + "|"
                               + doc.CB_PWDNvrExpired.checked + "|"
                               + doc.CB_AccntDisabled.checked + "|"
                               + doc.CB_AccntLockedOut.checked + "|"
                               + "<%= strADsPath %>";
        } else if (sType == "N") {
            window.returnValue = "";
        }
        
        self.close();
        
    }
    
    
    //***************************************************************
    //* checkKey() Լ : ̾α ڽ ȿ ڰ Enter Ű 
    //*  Esc Ű    ۾ Ѵ.
    //***************************************************************
    
    function checkKey() {
    
        if (window.event.keyCode == 13) {
            checkDlg("Y");
        } else if (window.event.keyCode == 27) {
            window.returnValue = "";
            self.close();
        }
        
    }
    //-->
    </script>
    
</head>

<body topmargin="0" leftmargin="0" marginheight="0" marginwidth="0" onkeypress="checkKey();">

    <br>
    <table align="center" cellpadding="0" cellspacing="1" width="96%" border="0">
    <tr>
        <td nowrap>&nbsp; <img src="image/ecumUser_View.gif" width="32" height="32" border="0"> &nbsp; &nbsp;</td>
        <td width="98%"><font color="#FFFFFF"><b><%= strName %></b></font></td>
    </tr>
    <tr>
        <td colspan="2">
        
        <table align="center" cellpadding="0" cellspacing="5" width="100%" border="0">
        <tr>
            <td colspan="2" style="border-top: 1px solid #101010; border-bottom: 1px solid #555555;"><img src="image/Spot.gif" width="1" height="1" border="0"></td>
        </tr>
        </table>
        
        </td>
    </tr>
    </table>
    
    <br>
    <table align="center" cellpadding="0" cellspacing="1" width="96%" border="0">
    <tr>
        <td nowrap><font color="#FFFFFF">&nbsp; full name : &nbsp;</font></td>
        <td width="98%"><input class="finput02" size="73" id="strFullName" type="text" value="<%= Replace(strFullName, """", "&quot;") %>"></td>
    </tr>
    <tr>
        <td nowrap><font color="#FFFFFF">&nbsp; description : &nbsp;</font></td>
        <td width="98%"><input class="finput02" size="73" id="strDescription" type="text" value="<%= Replace(strDescription, """", "&quot;") %>"></td>
    </tr>
    </table>
    
    <br>
    <table align="center" cellpadding="1" cellspacing="1" width="96%" border="0">
    <tr>
        <td nowrap>&nbsp;<input id="CB_MustChangePWD" type="checkbox" onclick="setMustChangePWD();"<% If IsMustChangePWD = True Then %> checked<% End If %><% If IsCnntChangePWD = True OR IsPWDNvrExpired = True Then %> disabled<% End If %>> 
            <span id="MustChangePWD">User must change password at next logon</span>
        </td>
    </tr>
    <tr>
        <td nowrap>&nbsp;<input id="CB_CnntChangePWD" type="checkbox" onclick="setCnntChangePWD();"<% If IsCnntChangePWD = True Then %> checked<% End If %><% If IsMustChangePWD = True Then %> disabled<% End If %>> 
            <span id="CnntChangePWD">User cannot change password</span>
        </td>
    </tr>
    <tr>
        <td nowrap>&nbsp;<input id="CB_PWDNvrExpired" type="checkbox" onclick="setPWDNvrExpired();"<% If IsPWDNvrExpired = True Then %> checked<% End If %><% If IsMustChangePWD = True Then %> disabled<% End If %>> 
            <span id="PWDNvrExpired">Password never expires</span>
        </td>
    </tr>
    <tr>
        <td nowrap>&nbsp;<input id="CB_AccntDisabled" type="checkbox"<% If IsAccntDisabled = True Then %> checked<% End If %>> 
            <span id="AccntDisabled">Account is disabled</span>
        </td>
    </tr>
    <tr>
        <td nowrap>&nbsp;<input id="CB_AccntLockedOut" type="checkbox"<% If IsAccntLockedOut = True Then %> checked<% Else %> disabled<% End If %>> 
            <span id="AccntLockedOut">Account is locked out</span>
        </td>
    </tr>
    </table>
    
    <br><br><br><br>
    <table align="center" cellpadding="1" cellspacing="1" width="96%" border="0">
    <tr>
        <td nowrap align="right">
            <input class="fbutton" type="button" value="&nbsp;Done&nbsp;"   onclick="checkDlg('Y');">&nbsp;
            <input class="fbutton" type="button" value="&nbsp;Cancel&nbsp;" onclick="checkDlg('N');"> &nbsp; &nbsp;
        </td>
    </tr>
    </table>
    
</body>
</html>